splice_from_pipe
Prev | Chapter 31. splice API | Next

## Name

splice_from_pipe — splice data from a pipe to a file

## Synopsis

`ssize_t splice_from_pipe (` | struct pipe_inode_info * | pipe,
| struct file * | out,
| loff_t * | ppos,
| size_t | len,
| unsigned int | flags,
| splice_actor * | actor`)`;

## Arguments

`pipe`

  pipe to splice from

`out`

  file to splice to

`ppos`

  position in `out`

`len`

  how many bytes to splice

`flags`

  splice modifier flags

`actor`

  handler that splices the data

## Description

See __splice_from_pipe. This function locks the input and output inodes, otherwise it's identical to `__splice_from_pipe`.

Prev | Up | Next
__splice_from_pipe | Home | generic_file_splice_write_nolock